Page MenuHomePhabricator

Allow dates from crossRef
Closed, ResolvedPublic

Description

When using the wikipedia api for certain publishers the publication dates are not retrieved, see e.g.: https://en.wikipedia.org/api/rest_v1/data/citation/zotero/10.1130%2Fg38665.1
It generates:

[{"url":"http://mr.crossref.org/iPage?doi=10.1130%2FG38665.1","itemType":"journalArticle","pages":"311–314","creators":[{"creatorType":"author","lastName":"Glade","firstName":"Rachel C."},{"creatorType":"author","lastName":"Anderson","firstName":"Robert S."},{"creatorType":"author","lastName":"Tucker","firstName":"Gregory E."}],"title":"Block-controlled hillslope form and persistence of topography in rocky landscapes","publicationTitle":"Geology","volume":"45","issue":"4","accessDate":"2017-11-13","DOI":"10.1130/g38665.1"}]

and has an access date but not a publication date (which is 2017). @WhatamIdoing (WMF) indicated this might be related to the translator. Would it be possible to update the translator?
Thank you, Albert

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterSupport for Crossref REST API

Event Timeline

Albert created this task.Nov 13 2017, 10:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 13 2017, 10:29 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptNov 14 2017, 12:40 AM

@czar: Would you like to look at this?

czar added a subscriber: Mvolz.EditedNov 16 2017, 6:49 PM

Citoid (which, as I understand it, has custom-built additions atop Zotero's translation-server) doesn't appear to be using Zotero for the DOI translation (GitHub ticket) so @Mvolz will know the answer here

Mvolz renamed this task from Publication date missing for some articles to Allow dates from crossRef.Nov 16 2017, 7:19 PM
Mvolz added a subscriber: WhatamIdoing.
Mvolz added a comment.EditedNov 16 2017, 7:22 PM

So the issue here is we aren't using dates from crossRef at all. This was because crossRef dates from this particular API have only the year, so for the time being we were trying to get the date from other sources. If the date *used* to be in those publications, they could indicate a broken translator that is no longer functioning, since we never got the dates from crossRef to begin with.

A solution is to either allow crossRef dates in with just the year, which should be okay now that we allow non-ISO dates (i.e. just year) and there's also the option of switching to their newer API (T108175), which has more complete dates. We should do that anyway, but just haven't gotten around to it yet.

Hi, if it matters,
Both suggestions of Mvolz would work for me. If the later one (newer API) means lots of work then maybe allowing the non-ISO dates of crossRef would be a simple fix?
Would be wonderful to see it working.
Any efforts is much appreciated!,
Albert.

Change 412701 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/citoid@master] [WIP] Support for crossRef REST API

https://gerrit.wikimedia.org/r/412701

Change 412701 merged by jenkins-bot:
[mediawiki/services/citoid@master] Support for Crossref REST API

https://gerrit.wikimedia.org/r/412701

Deskana closed this task as Resolved.Aug 21 2018, 1:09 PM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

This seems to have been fixed: the patch above was merged, and the URL in the description now has a date in the response ("date":"2017-01-23) that seems to correspond to the publication date.